Transaction History API
Returns the complete transaction history for a specific order, including all payment and cancellation records.
Test Credentials
API Information
POST/v3/APITrInfo.do
Content-Type
application/json; charset=UTF-8테스트
https://tbezauthapi.settlebank.co.kr/v3/APITrInfo.do운영
https://ezauthapi.settlebank.co.kr:8081/v3/APITrInfo.doRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message type code.
Message type code.
*Fixed value
└apiVerAN(4)Alphanumeric, up to 4 bytes*API version.
API version.
*Fixed value
└mercntIdAN(8)Alphanumeric, up to 8 bytes*Unique merchant identifier assigned by Hecto Financial.
Unique merchant identifier assigned by Hecto Financial.
└trDayN(8)Numeric, up to 8 bytes*Transaction date from the original order (yyyyMMdd).
Transaction date from the original order (yyyyMMdd).
└ordNoAN(100)Alphanumeric, up to 100 bytes*Order number to query.
Order number to query.
└reqDayN(8)Numeric, up to 8 bytes*Inquiry request date (yyyyMMdd).
Inquiry request date (yyyyMMdd).
└reqTimeN(6)Numeric, up to 6 bytes*Inquiry request time (HH24MISS).
Inquiry request time (HH24MISS).
└signatureAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value for tamper protection.(실시간 생성)SHA-256 hash value for tamper protection.
NOTE
Signature Composition
mercntId + ordNo + trDay + reqDay + reqTime + hashKey
Response Parameters
└resultCdN(1)Numeric, up to 1 bytes*Result code.
0Result code.
0: Success -1: Failure└errCdAN(5)Alphanumeric, up to 5 bytes*Error code. See error code reference.
0000Error code. See error code reference.
└resultMsgAN(200)Alphanumeric, up to 200 bytes*Human-readable result message.
SuccessHuman-readable result message.
└trCntN(4)Numeric, up to 4 bytes*Number of transaction records returned.
1Number of transaction records returned.
└trListObject List*Array of transaction records.
[{"trStatus": "0021", ...}]Array of transaction records.
trList Object Fields
└trStatusAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021 / 3010 / 0: Success 0031: Failure 0011: Withdrawal in progress 0051: Refund in progress└errCdAN(5)Alphanumeric, up to 5 bytes*Error code for failed transactions.
Error code for failed transactions.
└trTypeAN(2)Alphanumeric, up to 2 bytes*Transaction type.
RPTransaction type.
RP: Payment RT: Cancellation└trDayN(8)Numeric, up to 8 bytes*Transaction date (yyyyMMdd).
20190221Transaction date (yyyyMMdd).
└trTimeN(6)Numeric, up to 6 bytes*Transaction time (HH24MISS).
142120Transaction time (HH24MISS).
└bankCdN(3)Numeric, up to 3 bytes*Bank code of the debited account.
001Bank code of the debited account.
└trPriceN(13)Numeric, up to 13 bytes*Transaction amount.
1000Transaction amount.
└discntPriceN(13)Numeric, up to 13 bytes*Promotional discount amount applied.
0Promotional discount amount applied.
└payPriceN(13)Numeric, up to 13 bytes*Final settlement amount.
10000Final settlement amount.
└criPriceN(13)Numeric, up to 13 bytes*Cash receipt issuance amount.
13000Cash receipt issuance amount.
└criTaxVatPriceN(13)Numeric, up to 13 bytes*Cash receipt taxable amount (inclusive of VAT).
11000Cash receipt taxable amount (inclusive of VAT).
└criDutyFreePriceN(13)Numeric, up to 13 bytes*Cash receipt tax-exempt amount.
2000Cash receipt tax-exempt amount.
└ordNoAN(100)Alphanumeric, up to 100 bytes*Order number.
OID201902210001Order number.
└trNoAN(50)Alphanumeric, up to 50 bytes*Hecto Financial transaction reference number.
STFP_PNPTms00001t00220922182409M1962430Hecto Financial transaction reference number.
└custParam1AN(128)Alphanumeric, up to 128 bytesMerchant-defined data field 1.
Merchant-defined data field 1.
└custParam2AN(128)Alphanumeric, up to 128 bytesMerchant-defined data field 2.
Merchant-defined data field 2.
└custParam3AN(128)Alphanumeric, up to 128 bytesMerchant-defined data field 3.
Merchant-defined data field 3.
└custParam4AN(128)Alphanumeric, up to 128 bytesMerchant-defined data field 4.
Merchant-defined data field 4.
Need technical support?
Code Samples
HectoFinancial GitHub